body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    overflow: hidden; /* 隐藏页面溢出部分 */
}

.container {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
}

.menu {
    width: 250px;
    background-color: white;
    color: dodgerblue;
    overflow-y: scroll;
    padding: 20px 0px 20px 20px;
    border-right: 1px solid #E0E0E0;
}

.menu ul {
    margin: 0;
    list-style-type: none;
    padding: 0;
}

.menu li {
    padding: 8px;
    margin-bottom: 8px;
    border-right: 4px solid #ffffff;
    cursor: pointer;
    font-weight: bold;
    font-size: 16px;
}
.menu li:hover {
    border-right: 2px solid deepskyblue;
    background: #d3d3d3;
    color: #283593;
}
.menu li div {
    padding-left: 4px;
    border-bottom: 2px solid white;
}
.menu li.selected div {
    padding-left: 4px;
    border-bottom: 2px solid #f4511e;
}

.menu a {
    text-decoration: none;
    color: white;
}
.menu::-webkit-scrollbar {
    width: 0px;
}

.content {
    flex-grow: 1;
    padding: 20px;
    background-color: #e0e0e0;
    overflow-y: scroll;
    /* 添加滚动条样式 */
    scrollbar-width: thin;
    scrollbar-color: #999 transparent;
}

.content .card {
    display: flex;flex-direction: column;width: 300px;float: left;
    box-shadow: 0 0 20px rgb(87 87 87 / 33%);
    padding: 10px;
    margin: 5px;
}
.content .card img {
    width: 300px;
    height: 255px;
}
.content .card:hover {
    box-shadow: 0px 0px 12px 8px rgb(93 93 93 / 88%);
}

.content::-webkit-scrollbar {
    width: 10px;
}

.content::-webkit-scrollbar-thumb {
    background-color: #999;
}

.content::-webkit-scrollbar-track {
    background-color: transparent;
}

#menus li .chart-icon {
    content: '';
    width: 20px;
    display: inline-block;
    border-radius: 50%;
    vertical-align: middle;
    padding-right: 10px;
}
#menus li .chart-icon svg {
    width: 100% !important;
    height: auto !important;
}
#left-chart-nav li .chart-name {
    display: inline-block;
    position: relative;
    vertical-align: middle;
}

/* 弹出样式 */
.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8); /* 半透明黑色背景 */
    display: flex;
    justify-content: center;
    align-items: center;
}

/* 弹出内容样式 */
.popup-content {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    /*padding: 20px;*/
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    width: 100%;
    height: 100%;
}

/* 关闭按钮样式 */
.close-button {
    color: white;
    line-height: 40px;
    cursor: pointer;
}